package toyo.example.mutareimagini;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.ImageView;
import android.widget.RelativeLayout;

public class MainActivity extends ActionBarActivity {
	
	ImageView imageView1,imageView2;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		//moving image with touch events---------------------------------------------------------------------------
				imageView1 = (ImageView)findViewById(R.id.imageView1);
				imageView1.setOnTouchListener(new OnTouchListener() {

		            @Override
					public boolean onTouch(View v, MotionEvent event) {
		               
		                int eid = event.getAction();
		                switch (eid) {
		                case MotionEvent.ACTION_MOVE:

		                    RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) imageView1.getLayoutParams();
		                    int x = (int) event.getRawX();
		                    int y = (int) event.getRawY();                  
		                    mParams.leftMargin = x-75;     
		                    mParams.topMargin = y-150;
		                    imageView1.setLayoutParams(mParams);
		                    break;
		                default:
		                    break;
		                }
		                return true;
		            }
		        });
		//end moving image with touch events--------------------------------------------------------------------------------
				
		//moving image with touch events---------------------------------------------------------------------------
				imageView2 = (ImageView)findViewById(R.id.imageView2);

				imageView2.setOnTouchListener(new OnTouchListener() {

		            @Override
					public boolean onTouch(View v, MotionEvent event) {
		               
		                int eid = event.getAction();
		                switch (eid) {
		                case MotionEvent.ACTION_MOVE:

		                    RelativeLayout.LayoutParams mParams = (RelativeLayout.LayoutParams) imageView2.getLayoutParams();
		                    int x = (int) event.getRawX();
		                    int y = (int) event.getRawY();                  
		                    mParams.leftMargin = x-75;     
		                    mParams.topMargin = y-150;
		                    imageView2.setLayoutParams(mParams);
		                    break;
		                default:
		                    break;
		                }
		                return true;
		            }
		        });
		//end moving image with touch events--------------------------------------------------------------------------------
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
